"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.ALL = exports.DELETE = exports.PUT = exports.POST = exports.GET = void 0;
const buildMethodDecorator_1 = require("./factories/buildMethodDecorator");
/**
 * @category Controller
 * @decorator GET
 * * Use the decorated method as a handler for GET requests to the route.
 */
function GET(route) {
    return buildMethodDecorator_1.buildMethodDecorator("get", route);
}
exports.GET = GET;
/**
 * @category Controller
 * @decorator POST
 * * Use the decorated method as a handler for POST requests to the route.
 */
function POST(route) {
    return buildMethodDecorator_1.buildMethodDecorator("post", route);
}
exports.POST = POST;
/**
 * @category Controller
 * @decorator PUT
 * * Use the decorated method as a handler for PUT requests to the route.
 */
function PUT(route) {
    return buildMethodDecorator_1.buildMethodDecorator("put", route);
}
exports.PUT = PUT;
/**
 * @category Controller
 * @decorator DELETE
 * * Use the decorated method as a handler for DELETE requests to the route.
 */
function DELETE(route) {
    return buildMethodDecorator_1.buildMethodDecorator("delete", route);
}
exports.DELETE = DELETE;
/**
 * @category Controller
 * @decorator ALL
 * * Use the decorated method as a handler for ALL requests to the route.
 */
function ALL(route) {
    return buildMethodDecorator_1.buildMethodDecorator("all", route);
}
exports.ALL = ALL;
//# sourceMappingURL=ControllerMethods.js.map