"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.InjectGlobal = void 0;
const ServerGlobalsContainer_1 = require("../../DI/ServerGlobalsContainer");
/**
 * @category Controller
 * @decorator InjectGlobal
 * * Injects the value of a Global Varaible previously initialized by making use of the return value of method decorated with the OnServerInit decorator.
 */
function InjectGlobal(injectableKeyName) {
    return function (target, key) {
        Object.defineProperty(target, key, {
            get: function () {
                return ServerGlobalsContainer_1.ServerGlobalsContainer.ServerGlobal[injectableKeyName];
            },
            set: function () {
                throw new Error("Server Globals cannot be modified");
            },
        });
    };
}
exports.InjectGlobal = InjectGlobal;
//# sourceMappingURL=InjectGlobal.js.map