"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.RestController = void 0;
/**
 * @category Controller
 * @decorator RestController
 * * Initializes a class as a controller.
 */
function RestController(routePrefix = "") {
    return function (constructor) {
        const target = constructor.prototype;
        const controllerBaseMiddlewares = Reflect.getMetadata("controller-middleware", target);
        const postControllerMiddlewares = Reflect.getMetadata("post-controller-middleware", target);
        const controllerMetadata = {
            basePath: routePrefix,
            entryHandlers: controllerBaseMiddlewares || [],
            exitHandlers: postControllerMiddlewares || [],
        };
        Reflect.defineMetadata("controller:metadata", controllerMetadata, target);
    };
}
exports.RestController = RestController;
//# sourceMappingURL=RestController.js.map