"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseAfter = void 0;
const controllerExit_1 = require("./helpers/controllerExit");
const methodExit_1 = require("./helpers/methodExit");
/**
 * @category Controller
 * @decorator UseAfter
 * * Accepts a list of RequestHandler for use after an endpoint.
 */
function UseAfter(handlers) {
    return function (decoratee, key, descriptor) {
        if (typeof decoratee === "function") {
            controllerExit_1.handleControllerRequestExit(handlers, decoratee);
        }
        else {
            methodExit_1.handleMethodRequestExit(handlers, decoratee, key, descriptor);
        }
    };
}
exports.UseAfter = UseAfter;
//# sourceMappingURL=UseAfter.js.map