"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.UseBefore = void 0;
const methodEntry_1 = require("./helpers/methodEntry");
const controllerEntry_1 = require("./helpers/controllerEntry");
/**
 * @category Controller
 * @decorator UseBefore
 * * Accepts a list of RequestHandler for use before an endpoint.
 */
function UseBefore(handlers) {
    return function (decoratee, key, descriptor) {
        if (typeof decoratee === "function") {
            controllerEntry_1.handleControllerRequestEntry(handlers, decoratee);
        }
        else {
            methodEntry_1.handleMethodRequestEntry(handlers, decoratee, key, descriptor);
        }
    };
}
exports.UseBefore = UseBefore;
//# sourceMappingURL=UseBefore.js.map