"use strict";
var __awaiter = (this && this.__awaiter) || function (thisArg, _arguments, P, generator) {
    function adopt(value) { return value instanceof P ? value : new P(function (resolve) { resolve(value); }); }
    return new (P || (P = Promise))(function (resolve, reject) {
        function fulfilled(value) { try { step(generator.next(value)); } catch (e) { reject(e); } }
        function rejected(value) { try { step(generator["throw"](value)); } catch (e) { reject(e); } }
        function step(result) { result.done ? resolve(result.value) : adopt(result.value).then(fulfilled, rejected); }
        step((generator = generator.apply(thisArg, _arguments || [])).next());
    });
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.PromiseHandler = void 0;
const events_1 = require("events");
class PromiseHandler extends events_1.EventEmitter {
    constructor(customResultsStore) {
        super();
        this._promises = [];
        this._resultKeys = [];
        this._resultsStore = customResultsStore || {};
    }
    get promises() {
        return this._promises;
    }
    addNewPromise(promise, keyName) {
        this._promises.push(promise);
        this._resultKeys.push(keyName);
    }
    executePromises() {
        return __awaiter(this, void 0, void 0, function* () {
            try {
                const promisesResult = yield Promise.all(this._promises);
                this._mapPromiseResults(promisesResult);
                this._promises.length = 0;
                this.emit("success");
            }
            catch (error) {
                console.log(error);
                this.emit("failure", error);
            }
        });
    }
    _mapPromiseResults(resolvedPromisesArray) {
        for (let idx = 0; idx < resolvedPromisesArray.length; idx++) {
            this._resultsStore[this._resultKeys[idx]] = resolvedPromisesArray[idx];
        }
    }
}
exports.PromiseHandler = PromiseHandler;
//# sourceMappingURL=PromiseHandler.js.map